import { Compiler } from './compiler';
import { FloatNode, IFloatNode, IMat2Node, IMat3Node, IMat4Node, IVec2Node, IVec3Node, IVec4Node, Mat2Node, Mat3Node, Mat4Node, Vec2Node, Vec3Node, Vec4Node } from './types';
export declare class VaryingFloatNode extends FloatNode {
    private readonly a;
    constructor(a: IFloatNode);
    compile(c: Compiler): import("./compiler").CompileResult<string>;
}
export declare class VaryingVec2Node extends Vec2Node {
    private readonly a;
    constructor(a: IVec2Node);
    compile(c: Compiler): import("./compiler").CompileResult<string>;
}
export declare class VaryingVec3Node extends Vec3Node {
    private readonly a;
    constructor(a: IVec3Node);
    compile(c: Compiler): import("./compiler").CompileResult<string>;
}
export declare class VaryingVec4Node extends Vec4Node {
    private readonly a;
    constructor(a: IVec4Node);
    compile(c: Compiler): import("./compiler").CompileResult<string>;
}
export declare class VaryingMat2Node extends Mat2Node {
    private readonly a;
    constructor(a: IMat2Node);
    compile(c: Compiler): import("./compiler").CompileResult<string>;
}
export declare class VaryingMat3Node extends Mat3Node {
    private readonly a;
    constructor(a: IMat3Node);
    compile(c: Compiler): import("./compiler").CompileResult<string>;
}
export declare class VaryingMat4Node extends Mat4Node {
    private readonly a;
    constructor(a: IMat4Node);
    compile(c: Compiler): import("./compiler").CompileResult<string>;
}
